import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/**
 * Uppgift6: GUI till InchModel
 * 
 * @author Uno Holmer 
 * @version 2015-10-20
 */
public class Gui extends JFrame {
    private JTextField inchField,mmField;
    
    public Gui() {
        makeFrame();
    }
    
    private class FieldListener implements ActionListener {
        public void actionPerformed(ActionEvent e) {
            try {
                if ( e.getSource() == inchField ) {
                    InchModel model = InchModel.parse(inchField.getText());
                    mmField.setText("" + model.toMetric());
                } else if ( e.getSource() == mmField ) {
                    InchModel model = 
                        new InchModel(Double.parseDouble(mmField.getText()),64);
                    inchField.setText(model.toString());
                }
            }
            catch ( NumberFormatException exc) {
                JOptionPane.showMessageDialog(null,
                                              exc,
                                              "Illegal imput",
                                              JOptionPane.ERROR_MESSAGE);
            }
        }
    }
    
    private void makeFrame() {
        setTitle("InchConverter");
        setSize(400,100);
        setLocationRelativeTo(null);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLayout(new GridLayout(2,2));
        
        ActionListener fieldListener = new FieldListener();
        
        add(new JLabel("Inches:"));
        inchField = new JTextField();
        inchField.addActionListener(fieldListener);
        add(inchField);
        
        add(new JLabel("Millimeters:"));
        mmField = new JTextField();
        mmField.addActionListener(fieldListener);
        add(mmField);
        
        setVisible(true);
    }
    
    public static void main(String[] arg) {
        new Gui();
    }
}





